com.corticon.rulesemf.viewrulemodel.rulesheet.decisiontable.util

## Class DecisiontableAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - com.corticon.rulesemf.viewrulemodel.rulesheet.decisiontable.util.DecisiontableAdapterFactory

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.AdapterFactory

      public class DecisiontableAdapterFactory
      extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

  The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.
  See Also:
    `DecisiontablePackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`
    `protected static DecisiontablePackage` | `modelPackage` The cached model package
    `protected DecisiontableSwitch` | `modelSwitch` The switch that delegates to the `createXXX` methods

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecisiontableAdapterFactory()` Creates an instance of the adapter factory

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.notify.Adapter` | `createActionItemAdapter()` Creates a new adapter for an object of class '`Action Item`'
    `org.eclipse.emf.common.notify.Adapter` | `createActionSectionAdapter()` Creates a new adapter for an object of class '`Action Section`'
    `org.eclipse.emf.common.notify.Adapter` | `createActionValueSetCellAdapter()` Creates a new adapter for an object of class '`Action Value Set Cell`'
    `org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`
    `org.eclipse.emf.common.notify.Adapter` | `createAmbiguityAdapter()` Creates a new adapter for an object of class '`Ambiguity`'
    `org.eclipse.emf.common.notify.Adapter` | `createCellAdapter()` Creates a new adapter for an object of class '`Cell`'
    `org.eclipse.emf.common.notify.Adapter` | `createConditionItemAdapter()` Creates a new adapter for an object of class '`Condition Item`'
    `org.eclipse.emf.common.notify.Adapter` | `createConditionSectionAdapter()` Creates a new adapter for an object of class '`Condition Section`'
    `org.eclipse.emf.common.notify.Adapter` | `createConditionValueSetCellAdapter()` Creates a new adapter for an object of class '`Condition Value Set Cell`'
    `org.eclipse.emf.common.notify.Adapter` | `createDecisionTableAdapter()` Creates a new adapter for an object of class '`Decision Table`'
    `org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case
    `org.eclipse.emf.common.notify.Adapter` | `createExpressionCellAdapter()` Creates a new adapter for an object of class '`Expression Cell`'
    `org.eclipse.emf.common.notify.Adapter` | `createFilterItemAdapter()` Creates a new adapter for an object of class '`Filter Item`'
    `org.eclipse.emf.common.notify.Adapter` | `createFilterSectionAdapter()` Creates a new adapter for an object of class '`Filter Section`'
    `org.eclipse.emf.common.notify.Adapter` | `createOptimizerResultsAdapter()` Creates a new adapter for an object of class '`Optimizer Results`'
    `org.eclipse.emf.common.notify.Adapter` | `createRuleColumnAdapter()` Creates a new adapter for an object of class '`Rule Column`'
    `org.eclipse.emf.common.notify.Adapter` | `createRuleSectionAdapter()` Creates a new adapter for an object of class '`Rule Section`'
    `org.eclipse.emf.common.notify.Adapter` | `createRulesheetViewAdapter()` Creates a new adapter for an object of class '`View`'
    `org.eclipse.emf.common.notify.Adapter` | `createRuleStatementItemAdapter()` Creates a new adapter for an object of class '`Rule Statement Item`'
    `org.eclipse.emf.common.notify.Adapter` | `createRuleStatementSectionAdapter()` Creates a new adapter for an object of class '`Rule Statement Section`'
    `org.eclipse.emf.common.notify.Adapter` | `createScopeAliasAdapter()` Creates a new adapter for an object of class '`Scope Alias`'
    `org.eclipse.emf.common.notify.Adapter` | `createScopeAssociationAdapter()` Creates a new adapter for an object of class '`Scope Association`'
    `org.eclipse.emf.common.notify.Adapter` | `createScopeAttributeAdapter()` Creates a new adapter for an object of class '`Scope Attribute`'
    `org.eclipse.emf.common.notify.Adapter` | `createScopeEntityAdapter()` Creates a new adapter for an object of class '`Scope Entity`'
    `org.eclipse.emf.common.notify.Adapter` | `createScopeFilterAdapter()` Creates a new adapter for an object of class '`Scope Filter`'
    `org.eclipse.emf.common.notify.Adapter` | `createScopeFolderAdapter()` Creates a new adapter for an object of class '`Scope Folder`'
    `org.eclipse.emf.common.notify.Adapter` | `createScopeNodeAdapter()` Creates a new adapter for an object of class '`Scope Node`'
    `org.eclipse.emf.common.notify.Adapter` | `createScopeSectionAdapter()` Creates a new adapter for an object of class '`Scope Section`'
    `org.eclipse.emf.common.notify.Adapter` | `createScopeSortedAliasAdapter()` Creates a new adapter for an object of class '`Scope Sorted Alias`'
    `org.eclipse.emf.common.notify.Adapter` | `createValidatableObjectAdapter()` Creates a new adapter for an object of class '`Validatable Object`'
    `org.eclipse.emf.common.notify.Adapter` | `createValueSetCellAdapter()` Creates a new adapter for an object of class '`Value Set Cell`'
    `boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### copyright

          public static final java.lang.String copyright

      See Also:
        Constant Field Values

    - #### modelPackage

          protected static DecisiontablePackage modelPackage

      The cached model package.

    - #### modelSwitch

          protected DecisiontableSwitch modelSwitch

      The switch that delegates to the `createXXX` methods.

  - ### Constructor Detail

    - #### DecisiontableAdapterFactory

          public DecisiontableAdapterFactory()

      Creates an instance of the adapter factory.

  - ### Method Detail

    - #### isFactoryForType

          public boolean isFactoryForType(java.lang.Object object)

      Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.
      Specified by:
        `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Returns:
        whether this factory is applicable for the type of the object.

    - #### createAdapter

          public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

      Creates an adapter for the `target`.
      Overrides:
        `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Parameters:
        `target` - the object to adapt.
      Returns:
        the adapter for the `target`.

    - #### createActionItemAdapter

          public org.eclipse.emf.common.notify.Adapter createActionItemAdapter()

      Creates a new adapter for an object of class '`Action Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ActionItem`

    - #### createActionSectionAdapter

          public org.eclipse.emf.common.notify.Adapter createActionSectionAdapter()

      Creates a new adapter for an object of class '`Action Section`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ActionSection`

    - #### createCellAdapter

          public org.eclipse.emf.common.notify.Adapter createCellAdapter()

      Creates a new adapter for an object of class '`Cell`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Cell`

    - #### createConditionItemAdapter

          public org.eclipse.emf.common.notify.Adapter createConditionItemAdapter()

      Creates a new adapter for an object of class '`Condition Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ConditionItem`

    - #### createConditionSectionAdapter

          public org.eclipse.emf.common.notify.Adapter createConditionSectionAdapter()

      Creates a new adapter for an object of class '`Condition Section`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ConditionSection`

    - #### createExpressionCellAdapter

          public org.eclipse.emf.common.notify.Adapter createExpressionCellAdapter()

      Creates a new adapter for an object of class '`Expression Cell`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ExpressionCell`

    - #### createScopeAssociationAdapter

          public org.eclipse.emf.common.notify.Adapter createScopeAssociationAdapter()

      Creates a new adapter for an object of class '`Scope Association`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ScopeAssociation`

    - #### createScopeAttributeAdapter

          public org.eclipse.emf.common.notify.Adapter createScopeAttributeAdapter()

      Creates a new adapter for an object of class '`Scope Attribute`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ScopeAttribute`

    - #### createScopeEntityAdapter

          public org.eclipse.emf.common.notify.Adapter createScopeEntityAdapter()

      Creates a new adapter for an object of class '`Scope Entity`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ScopeEntity`

    - #### createScopeFolderAdapter

          public org.eclipse.emf.common.notify.Adapter createScopeFolderAdapter()

      Creates a new adapter for an object of class '`Scope Folder`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ScopeFolder`

    - #### createScopeNodeAdapter

          public org.eclipse.emf.common.notify.Adapter createScopeNodeAdapter()

      Creates a new adapter for an object of class '`Scope Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ScopeNode`

    - #### createScopeFilterAdapter

          public org.eclipse.emf.common.notify.Adapter createScopeFilterAdapter()

      Creates a new adapter for an object of class '`Scope Filter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ScopeFilter`

    - #### createScopeSectionAdapter

          public org.eclipse.emf.common.notify.Adapter createScopeSectionAdapter()

      Creates a new adapter for an object of class '`Scope Section`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ScopeSection`

    - #### createFilterItemAdapter

          public org.eclipse.emf.common.notify.Adapter createFilterItemAdapter()

      Creates a new adapter for an object of class '`Filter Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `FilterItem`

    - #### createFilterSectionAdapter

          public org.eclipse.emf.common.notify.Adapter createFilterSectionAdapter()

      Creates a new adapter for an object of class '`Filter Section`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `FilterSection`

    - #### createRuleColumnAdapter

          public org.eclipse.emf.common.notify.Adapter createRuleColumnAdapter()

      Creates a new adapter for an object of class '`Rule Column`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `RuleColumn`

    - #### createRuleSectionAdapter

          public org.eclipse.emf.common.notify.Adapter createRuleSectionAdapter()

      Creates a new adapter for an object of class '`Rule Section`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `RuleSection`

    - #### createDecisionTableAdapter

          public org.eclipse.emf.common.notify.Adapter createDecisionTableAdapter()

      Creates a new adapter for an object of class '`Decision Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `DecisionTable`

    - #### createRuleStatementItemAdapter

          public org.eclipse.emf.common.notify.Adapter createRuleStatementItemAdapter()

      Creates a new adapter for an object of class '`Rule Statement Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `RuleStatementItem`

    - #### createRuleStatementSectionAdapter

          public org.eclipse.emf.common.notify.Adapter createRuleStatementSectionAdapter()

      Creates a new adapter for an object of class '`Rule Statement Section`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `RuleStatementSection`

    - #### createValueSetCellAdapter

          public org.eclipse.emf.common.notify.Adapter createValueSetCellAdapter()

      Creates a new adapter for an object of class '`Value Set Cell`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ValueSetCell`

    - #### createScopeAliasAdapter

          public org.eclipse.emf.common.notify.Adapter createScopeAliasAdapter()

      Creates a new adapter for an object of class '`Scope Alias`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ScopeAlias`

    - #### createConditionValueSetCellAdapter

          public org.eclipse.emf.common.notify.Adapter createConditionValueSetCellAdapter()

      Creates a new adapter for an object of class '`Condition Value Set Cell`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ConditionValueSetCell`

    - #### createActionValueSetCellAdapter

          public org.eclipse.emf.common.notify.Adapter createActionValueSetCellAdapter()

      Creates a new adapter for an object of class '`Action Value Set Cell`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ActionValueSetCell`

    - #### createOptimizerResultsAdapter

          public org.eclipse.emf.common.notify.Adapter createOptimizerResultsAdapter()

      Creates a new adapter for an object of class '`Optimizer Results`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `OptimizerResults`

    - #### createAmbiguityAdapter

          public org.eclipse.emf.common.notify.Adapter createAmbiguityAdapter()

      Creates a new adapter for an object of class '`Ambiguity`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Ambiguity`

    - #### createScopeSortedAliasAdapter

          public org.eclipse.emf.common.notify.Adapter createScopeSortedAliasAdapter()

      Creates a new adapter for an object of class '`Scope Sorted Alias`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ScopeSortedAlias`

    - #### createValidatableObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createValidatableObjectAdapter()

      Creates a new adapter for an object of class '`Validatable Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ValidatableObject`

    - #### createRulesheetViewAdapter

          public org.eclipse.emf.common.notify.Adapter createRulesheetViewAdapter()

      Creates a new adapter for an object of class '`View`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `RulesheetView`

    - #### createEObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

      Creates a new adapter for the default case. This default implementation returns null.
      Returns:
        the new adapter.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.